GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | Friends
grpc::AuthPropertyIterator Class Reference

`#include <auth_property_iterator.h>`

## Public Member Functions
| ~AuthPropertyIterator ()
AuthPropertyIterator & | operator++ ()
AuthPropertyIterator | operator++ (int)
bool | operator== (const AuthPropertyIterator &rhs) const
bool | operator!= (const AuthPropertyIterator &rhs) const
const AuthProperty | operator* ()

## Protected Member Functions
| AuthPropertyIterator ()
| AuthPropertyIterator (const grpc_auth_property *property, const grpc_auth_property_iterator *iter)

## Friends
class | SecureAuthContext

## Constructor & Destructor Documentation

grpc::AuthPropertyIterator::~AuthPropertyIterator | ( |  | ) |

grpc::AuthPropertyIterator::AuthPropertyIterator | ( |  | ) |
| protected

grpc::AuthPropertyIterator::AuthPropertyIterator | ( | const grpc_auth_property * | property,
|  | const grpc_auth_property_iterator * | iter
| ) |  |
| protected

## Member Function Documentation

bool grpc::AuthPropertyIterator::operator!= | ( | const AuthPropertyIterator & | rhs | ) | const

const AuthProperty grpc::AuthPropertyIterator::operator* | ( |  | ) |

AuthPropertyIterator & grpc::AuthPropertyIterator::operator++ | ( |  | ) |

AuthPropertyIterator grpc::AuthPropertyIterator::operator++ | ( | int |  | ) |

bool grpc::AuthPropertyIterator::operator== | ( | const AuthPropertyIterator & | rhs | ) | const

## Friends And Related Function Documentation

friend class SecureAuthContext
| friend

The documentation for this class was generated from the following files:

- include/grpc++/auth_property_iterator.h
- src/cpp/common/auth_property_iterator.cc